Subject: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

From: Saravanan P <[email-masked]>
Date: Tue, 15 Mar 2011 03:05:39 -0700

Hi,

In spec  Linear Protection draft-ietf-mpls-tp-linear-protection-04.txt, what will be the default behavior if designated MEP receives the PSC OAM packet with  Pseudowire lable has non TTL 1 value ?

How does MEP in PE knows that should pass the packet to control plane or forward the packet since PW label is non TTL 1 value.

PE should take decision by seeing Tunnel and PW  label or TTL also need to be looked ?
Regards,
Saravanan.

---

From: Apratim Mukherjee <[email-masked]>
Date: Tue, 15 Mar 2011 03:28:16 -0700

Hi

It is expected that the PW will have Control Word enabled. 

So data packets will have first 4 bits as 0000 and OAM packets due to GACh will have first 4 bits as 0001 , which provides the distinguishing factor. 

Regards,
Apratim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Saravanan P
Sent: Tuesday, March 15, 2011 3:36 PM
To: [email-masked]
Subject: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

Hi,

PE should take decision by seeing Tunnel and PW  label or TTL also need to be looked ?
Regards,
Saravanan.
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Saravanan P <[email-masked]>
Date: Tue, 15 Mar 2011 05:18:35 -0700

Hi Apratim,

Thanks, but assume GAch is present in (4 bits as 0001) received packet still do we need TTL 1 for PE to process or that is not mandatory.
My concern is whether sender is responsible for making TTL value 1 while receiving PE to process.
Regards,
saravanan

-----Original Message-----
From: Apratim Mukherjee
Sent: Tuesday, March 15, 2011 3:58 PM
To: Saravanan P; [email-masked]
Subject: RE: PSC MEP action on Non TTL 1 value- Receive

Hi

Regards,
Apratim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Saravanan P
Sent: Tuesday, March 15, 2011 3:36 PM
To: [email-masked]
Subject: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

Hi,

---

From: Apratim Mukherjee <[email-masked]>
Date: Tue, 15 Mar 2011 05:55:23 -0700

Hi

IMO , TTL should not be a factor for the receiving MEP. TTL should be processed with its normal semantics of loop prevention by MPLS layer.

TTL=1 is one of three mechanisms for VCCV OAM packet interception but that is not relevant here.

Specifically , RFC3985 which defines PW arch states:
"When a MPLS label is used as a PW Demultiplexer, setting of the TTL value [RFC3032] in the PW label is application specific."

Regards,
Apratim

-----Original Message-----
From: Saravanan P 
Sent: Tuesday, March 15, 2011 5:49 PM
To: Apratim Mukherjee; [email-masked]
Subject: RE: PSC MEP action on Non TTL 1 value- Receive

Hi Apratim,

-----Original Message-----
From: Apratim Mukherjee 
Sent: Tuesday, March 15, 2011 3:58 PM
To: Saravanan P; [email-masked]
Subject: RE: PSC MEP action on Non TTL 1 value- Receive

Hi

Regards,
Apratim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Saravanan P
Sent: Tuesday, March 15, 2011 3:36 PM
To: [email-masked]
Subject: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

Hi,

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 16 Mar 2011 17:59:46 -0700

Dear Saravanan,
VCCV Control Channels 2 and 3 cannot be used to carry PSC OAM as
it uses ACh/G-ACh. (I think that only BFD, LSP and ICMP ping might use CC 2
and 3). As I understand the draft-ietf-mpls-tp-linear-protection-04.txt, the
PW must use PW CW in order to properly process PSC signalling. Of course,
that is the case for MPLS-TP PW and based on current wording of RFC 5586. If
GAL is used in PWs, in non-TP and/or MPLS TP PSN, use of PW CW might not be
required.

Regards,
Greg

On Tue, Mar 15, 2011 at 3:05 AM, Saravanan P <[email-masked]> wrote:

> Hi,
>
> In spec  Linear Protection draft-ietf-mpls-tp-linear-protection-04.txt,
> what will be the default behavior if designated MEP receives the PSC OAM
> packet with  Pseudowire lable has non TTL 1 value ?
>
> How does MEP in PE knows that should pass the packet to control plane or
> forward the packet since PW label is non TTL 1 value.
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 17 Mar 2011 07:43:10 +0200

Greg, Saravanan and all,
Yet another option could be introducing UDP/IP-based encapsulations for the TSC OAM (in addition to already existing ones).
These encapsulations would work just fine with VCCV Type 2 (where applicable) and Type 3.
The IP address assigned to the originating NE on the SCN could be used as the Source IP address, and an address from 127/8 - as the Dest IP address. And a well-known UDP port could be allocated to identify PSC OAM packets...

My 2c,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of Greg Mirsky [[email-masked]]
Sent: Thursday, March 17, 2011 2:59 AM
To: Saravanan P
Cc: [email-masked]
Subject: Re: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

Dear Saravanan,
VCCV Control Channels 2 and 3 cannot be used to carry PSC OAM as it uses ACh/G-ACh. (I think that only BFD, LSP and ICMP ping might use CC 2 and 3). As I understand the draft-ietf-mpls-tp-linear-protection-04.txt, the PW must use PW CW in order to properly process PSC signalling. Of course, that is the case for MPLS-TP PW and based on current wording of RFC 5586. If GAL is used in PWs, in non-TP and/or MPLS TP PSN, use of PW CW might not be required.

Regards,
Greg

On Tue, Mar 15, 2011 at 3:05 AM, Saravanan P <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

PE should take decision by seeing Tunnel and PW  label or TTL also need to be looked ?
Regards,
Saravanan.
_______________________________________________
mpls-tp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Saravanan P <[email-masked]>
Date: Thu, 17 Mar 2011 00:14:47 -0700

Hi All ,

Thanks for your replies and information.

I have another clarification regarding "interoperability States " within LSP and PW.

Assume Liner Protection is running on both LSP and PW and this PW is part of LSP tunnel.

I hope both LSP and PW has own instances of state machines and if any Force switch or any command  happen on LSP that leads all the PWs will send Force Switch or corresponding command.

In this case LSP SM is overriding all states in individual state machines of PWs on same LSP .

But I believe not all LSP's  commands will have high priority and 3.1.2. Remote Requests section only talk about remote end commands of same level not from LSP.

Does this going to be a implementation specific or are we going to address those situation also in this RFC.

Regards,
saravanan

From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, March 17, 2011 11:13 AM
To: Greg Mirsky; Saravanan P
Cc: [email-masked]
Subject: RE: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

Greg, Saravanan and all,

My 2c,
     Sasha

Regards,
Greg

---

From: "Daniel Cohn" <[email-masked]>
Date: Thu, 17 Mar 2011 12:07:30 +0200

Hi,

If I understand it correctly, the thread below assumes
draft-ietf-mpls-tp-linear-protection-04 applies to PW protection as
well. However the draft explicitly limits its scope to LSPs,
specifically:

"The protocol addresses the protection of LSPs in an MPLS-TP network as
required by [RFC5654 <http://tools.ietf.org/html/rfc5654> ] (in
particular requirements 63-67 and 74-79) and described in [SurvivFwk
<http://tools.ietf.org/html/draft-ietf-mpls-tp-linear-protection-04#ref-
SurvivFwk> ]", and
"The applicability of this protocol to additional MPLS-TP constructs and
topologies may be documented in future documents."
 
Is there a hidden assumption that the scope of the draft will be
extended to cover PW protection? Or is there something I'm
misunderstanding here?
 
Thanks,
 
Daniel

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Greg Mirsky
Sent: Thursday, March 17, 2011 3:00 AM
To: Saravanan P
Cc: [email-masked]
Subject: Re: [mpls-tp] PSC MEP action on Non TTL 1 value- Receive

Dear Saravanan,

VCCV Control Channels 2 and 3 cannot be used to carry PSC OAM as it uses
ACh/G-ACh. (I think that only BFD, LSP and ICMP ping might use CC 2 and
3). As I understand the draft-ietf-mpls-tp-linear-protection-04.txt, the
PW must use PW CW in order to properly process PSC signalling. Of
course, that is the case for MPLS-TP PW and based on current wording of
RFC 5586. If GAL is used in PWs, in non-TP and/or MPLS TP PSN, use of PW
CW might not be required.

Regards,

Greg

On Tue, Mar 15, 2011 at 3:05 AM, Saravanan P <[email-masked]>
wrote:

Hi,

PE should take decision by seeing Tunnel and PW  label or TTL also need
to be looked ?
Regards,
Saravanan.
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp